#ifndef CCTRLPARAMSLIDER_H
#define CCTRLPARAMSLIDER_H
#include "variant.h"
#include "cctrlparambase.h"
#include <QSlider>
#include <QLabel>
class CTRLS_COMMON_EXPORT CCtrlParamSlider : public CCtrlParamBase
{
    Q_OBJECT
public:
    explicit CCtrlParamSlider(QWidget *parent = 0);
    virtual void MParamInit(Variant* pParam);
    virtual void MTimeFresh();
    virtual void MFresh();
    virtual void MApply();
    QSlider* sliderparam;
    QLabel* labelparam;
signals:

public slots:
};

#endif // CCTRLPARAMSLIDER_H
